Bug 801153 - Improve usability around adding servers to JON inventory
Improve usability around adding servers to JON inventory
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks: 854805
  Show dependency treegraph
 
Reported: 2012-03-07 14:30 EST by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 53528 None None None Never

  None (edit)
Description Charles Crouch 2012-03-07 14:30:18 EST
The basic issue we're trying to overcome is the following:
"I started my EAP instance, why isn't it showing up in JON?"

The underlying issue is that server discovery scans only happen every 15mins by default (and service scans every 24hrs).

We need to consider options for how to make it more apparent to users what's going on, i.e. discovery hasn't run since you turned on the AS instance.

Possible options
-Fire process level discovery much more frequently. Not sure how this is achievable while maintaining low CPU utilization. Perhaps we could have the plugins register metadata with the PC, and the PC could then do a single process scan for all plugins, and only actually call a given plugin if it finds new candidate processes. Basically make the PC more event driven.
-Let the user know when the next discovery is scheduled for a platform. This would help indicate to the user why a server may not have been discovered yet.
-"Discover now" button, on a platform or a server 
-New Discovery Queue layout
--List of all platforms, include a column for next discovery time 
--Sort rows by number of child servers ready to be imported, so the platforms with actionable items are at the top
--Make available, but not as the default, a filter on platforms which would exclude platforms with no child servers to import, i.e. hide stuff you don't care about. Its not enabled by default because then you are back to the same situation as you have today.
Comment 1 Mike Foley 2012-03-12 11:42:38 EDT
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1
Comment 2 Charles Crouch 2012-11-14 14:43:18 EST
Associating this with BZ-854805 since this is related to the UI responsiveness, not to a direct action in the UI but to events occurring outside of the JON server and agent processes.

Note You need to log in before you can comment on or make changes to this bug.